> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-3-2.md).

# Version 6.3.2 Changelog (November 3, 2014)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

### Notes

This release brings the core PDF functionality to version 6.3.2 of the desktop SDKs. It adds two new custom controls to the open-source tools library: a thumbnails view control and a user bookmark control. It also adds one new tool to the open-source tools library: an eraser tool.

### NEW

* Tools source code is no longer in the PDFViewCtrlProjects folder. It is now moved to the lib/src folder.
* Improved usability for Tools: i.e. two finger scroll in annotation creation mode, control handle for text markups.
* An UserBookmarkDialogFragment allowing user to add/edit custom bookmarks.
* An ThumbnailsViewFragment showing the thumbnails of a document and it also supports page rearrangement as well as page deletion.
* An AnnotationPropertyPopupWindow for styling annotations.
* An Eraser tool is now included that can erase freehand annotation.
* Better stylus support: option to allow ink annotation with stylus anytime and anywhere on the document without entering the ink tool
* All sample projects have been updated to use Android 5.0 with compileSdkVersion 21, buildToolsVersion 21.0.2, gradle 2.1 with version 0.13.3.
* CompleteReader sample now come with more view modes including facing, cover facing, night mode, rotation mode and the thumbnails mode; it is also integrated with the new tool and controls such as the eraser tool, the user bookmarks and updated annotation toolbar

### BUG FIXES

* Miscellaneous bug fixes and improvements.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-3-2.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
